Subject: Re: Suggestion: "man git clone"

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 21 Aug 2008 16:07:46 -0700

Federico Lucifredi wrote:
> Hello HP,
>  I have seen this in (funnily enough) a project I manage myself, which 
> has subcommands structured similarly to Git.
> 
>  I have looked at options, but so far the current behavior (man foo-bar) 
> seems the best option for foo's subcommand bar. The alternative, also 
> acceptable, is a large page with subsections for each command. Sections 
> (man 1) are used for chapter-like page groupings, not for subsections on 
> a single command - those would have to be implemented as an additional 
> layer.
> 
>  But, as another participant in the thread has commented, that would not 
> port to other platforms very quickly (although it would get to Linux and 
> OS-X promptly, and may eventually make its way into other platforms).
> 
>  I am open to ideas, but so far the two options above are better than 
> anything else that has been so far suggested...
> 

One option would be to support "man foo bar" showing the page labelled 
foo-bar.  That way you'd get at least a modicum of bass-ackwards 
compatibility.

However, at some point we have to be willing to do things other 
platforms won't, or we'll never do anything new...

	-hpa